Name:          vde2
Version:       2.3.2
Release:       2mamba
Summary:       An ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet
Group:         Network/Routing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://vde.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/vde/vde2/%{version}/vde2-%{version}.tar.gz
Patch0:        vde2-2.3.2-openssl-1.1.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcap-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare  project. 

%package -n lib%{name}
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}
VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare  project. 
This package contains the shared libraries provided by %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      vde2-devel
Obsoletes:     vde2-devel <= 2.3.2-1mamba

%description -n lib%{name}-devel
VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare  project. 
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%configure \
   PYTHON=%{__python3}

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config %{_sysconfdir}/vde2/libvdemgmt/*.rc
%{_sysconfdir}/vde2/vdecmd
%{_bindir}/*
%{_sbindir}/vde_tunctl
%{_mandir}/man1/*.1*
%{_mandir}/man8/vde_tunctl.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libexecdir}/vdetap
%dir %{_libdir}/vde2
%{_libdir}/vde2/*
%{python3_sitelib}/VdePlug.py
%{python3_sitelib}/vdeplug_python.la
%{python3_sitelib}/vdeplug_python.so
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%doc README

%changelog
* Fri May 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-2mamba
- rebuilt with python3 and openssl 1.1 patch

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Mon Jun 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-1mamba
- package created by autospec
